1. Player Stats
MarvelRivalsAPI.com
  • Introduction
  • Get Started
    • Authentication
    • Rate Limits
    • Errors
      • Status Codes
    • SDKs & Extentions
      • Community Libraries
  • Endpoints
    • Achievements
      • List achievements
      • Search achievement
    • Patch Notes
      • List balances
      • Search balance
      • List dev diaries
      • Search dev diary
      • List patch notes
      • Search patch note
      • List game versions
    • Battle Pass
      • Battlepass
    • Heroes
      • List Heroes
      • Search hero
      • Hero stats
      • Hero leaderboard
      • List costumes
      • Search hero costume
    • Items
      • List items
      • Search item
    • Maps
      • List maps
      • Search map
    • Player Match History
      • Search match
      • Player match history
      • Player match history v2
    • Player Stats
      • Search player
        GET
      • Player stats
        GET
      • Player stats v2
        GET
      • Update player
        GET
      • Player Leaderboard
        GET
    • Seasons
      • List seasons
      • Search season
  • Community
    • Discord Bots
  1. Player Stats

Player stats

GET
/api/v1/player/{query}
Player StatsFreePremium
Maintainer:Alastor
This endpoint retrieves player data for a specific player identified by uid or username.
IMPORTANT: Searching player stats by username is a new feature and is not always reliable. Searching player stats by player uid is more stable.

Request

Path Params

Query Params

Header Params

Responses

🟢200OK
application/json
Successful response with player data
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://marvelrivalsapi.com/api/v1/player/?season=undefined' \
--header 'x-api-key;'
Response Response Example
200 - Example 1
{
    "uid": 0,
    "name": "string",
    "updates": {
        "info_update_time": "string",
        "last_history_update": "string",
        "last_inserted_match": "string",
        "last_update_request": "string"
    },
    "player": {
        "uid": 0,
        "level": "string",
        "name": "string",
        "icon": {
            "player_icon_id": "string",
            "player_icon": "string"
        },
        "rank": {
            "rank": "string",
            "image": "string",
            "color": "string"
        },
        "team": {
            "club_team_id": "string",
            "club_team_mini_name": "string",
            "club_team_type": "string"
        },
        "info": {
            "completed_achievements": "string",
            "login_os": "string",
            "rank_game_season": {
                "1001001": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                },
                "1001002": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                },
                "1001003": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                },
                "1001004": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                },
                "1001005": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                },
                "1001006": {
                    "rank_game_id": 0,
                    "level": 0,
                    "rank_score": 0,
                    "max_level": 0,
                    "max_rank_score": 0,
                    "update_time": 0,
                    "win_count": 0,
                    "protect_score": 0,
                    "diff_score": 0
                }
            }
        },
        "player_id": "player1234",
        "nickname": "Player One",
        "isPrivate": false
    },
    "isPrivate": true,
    "overall_stats": {
        "total_matches": 0,
        "total_wins": 0,
        "unranked": {
            "total_matches": 0,
            "total_wins": 0,
            "total_assists": 0,
            "total_deaths": 0,
            "total_kills": 0,
            "total_time_played": "string",
            "total_time_played_raw": 0,
            "total_mvp": 0,
            "total_svp": 0
        },
        "ranked": {
            "total_matches": 0,
            "total_wins": 0,
            "total_assists": 0,
            "total_deaths": 0,
            "total_kills": 0,
            "total_time_played": "string",
            "total_time_played_raw": 0,
            "total_mvp": 0,
            "total_svp": 0
        }
    },
    "match_history": [
        {
            "match_uid": "string",
            "map_id": 0,
            "map_thumbnail": "string",
            "duration": 0,
            "season": 0,
            "winner_side": 0,
            "mvp_uid": 0,
            "svp_uid": 0,
            "match_time_stamp": 0,
            "play_mode_id": 0,
            "game_mode_id": 0,
            "score_info": {
                "0": 0,
                "1": 0
            },
            "player_performance": {
                "player_uid": 0,
                "hero_id": 0,
                "hero_name": "string",
                "hero_type": "string",
                "kills": 0,
                "deaths": 0,
                "assists": 0,
                "is_win": {
                    "score": 0,
                    "is_win": true
                },
                "disconnected": true,
                "camp": 0,
                "score_change": 0,
                "level": 0,
                "new_level": 0,
                "new_score": 0
            },
            "match_id": "match123",
            "date": "2024-02-10T15:30:00Z",
            "result": "win",
            "kills": 5,
            "deaths": 3,
            "assists": 2
        }
    ],
    "rank_history": [
        {
            "match_time_stamp": 0,
            "level_progression": {
                "from": 0,
                "to": 0
            },
            "score_progression": {
                "add_score": 0,
                "total_score": 0
            },
            "season": 2,
            "rank": "Gold",
            "points": 1500
        }
    ],
    "hero_matchups": [
        {
            "hero_id": 0,
            "hero_name": "string",
            "hero_class": "string",
            "hero_thumbnail": "string",
            "matches": 0,
            "wins": 0,
            "win_rate": "string"
        }
    ],
    "team_mates": [
        {
            "player_info": {
                "nick_name": "string",
                "player_icon": "string",
                "player_uid": 0
            },
            "matches": 0,
            "wins": 0,
            "win_rate": "string",
            "teammate_id": "player5678",
            "nickname": "Teammate One"
        }
    ],
    "heroes_ranked": [
        {
            "hero_id": 0,
            "hero_name": "string",
            "hero_thumbnail": "string",
            "matches": 0,
            "wins": 0,
            "mvp": 0,
            "svp": 0,
            "kills": 0,
            "deaths": 0,
            "assists": 0,
            "play_time": 0,
            "damage": 0,
            "heal": 0,
            "damage_taken": 0,
            "main_attack": {
                "total": 0,
                "hits": 0
            }
        }
    ],
    "heroes_unranked": [
        "string"
    ],
    "maps": [
        {
            "map_id": 0,
            "map_thumbnail": "string",
            "matches": 0,
            "wins": 0,
            "kills": 0,
            "deaths": 0,
            "assists": 0,
            "play_time": 0
        }
    ]
}
Modified at 2026-05-20 08:01:42
Previous
Search player
Next
Player stats v2
Built with